> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Deposit



## OpenAPI

````yaml api-reference/openapi-apply.json POST /apply/deposit
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /apply/deposit:
    post:
      tags:
        - Deposit
      summary: Create a Deposit
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Success
                value:
                  ach:
                    account_number: '98765432109'
                    account_type: checking
                    routing_number: '123456789'
                  amount: '100.00'
                  name_on_account: George Washington
            schema:
              properties:
                ach:
                  description: ACH payment instructions
                  properties:
                    account_type:
                      description: One of `checking` or `savings`
                      type: string
                    routing_number:
                      description: ABA routing transit number associated with the account
                      type: string
                  type: object
                amount:
                  description: Amount of money to transfer
                  pattern: ^-?[0-9]+[.][0-9][0-9]$
                  type: string
                card:
                  deprecated: true
                  description: Debit card payment instructions
                  properties: {}
                  type: object
                card_token:
                  description: Tokenized debit card payment instructions
                  properties:
                    description:
                      description: >-
                        Description to use when posting the transaction to the
                        virtual ledger
                      type: string
                    first_name:
                      description: First name of the card holder
                      type: string
                    last_name:
                      description: Last name of the card holder
                      type: string
                    token:
                      description: Token representing the card
                      type: string
                  type: object
                name_on_account:
                  description: Name of the owner of the account providing the deposit
                  type: string
                userdata:
                  description: Arbitrary data the user can attach to the object
                  type: object
              required:
                - amount
                - name_on_account
                - id
        description: The apply.deposit to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    ach:
                      account_type: checking
                      last4: '2109'
                      routing_number: '123456789'
                    amount: '100.00'
                    card: null
                    card_token: null
                    created_at: '2019-03-02T11:53:55Z'
                    id: adpt_01d5wcysg3vz
                    name_on_account: George Washington
                    updated_at: '2019-03-02T11:53:55Z'
                    userdata: null
              schema:
                properties:
                  ach:
                    description: ACH payment instructions
                    properties:
                      account_type:
                        description: One of `checking` or `savings`
                        type: string
                      last4:
                        description: Last 4 digits of the account number
                        type: string
                      routing_number:
                        description: ABA routing transit number associated with the account
                        type: string
                    type: object
                  amount:
                    description: Amount of money to transfer
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  card:
                    deprecated: true
                    description: Debit card payment instructions
                    properties:
                      last4:
                        description: Last 4 digits of the card number
                        type: string
                    type: object
                  card_token:
                    description: Tokenized debit card payment instructions
                    properties:
                      description:
                        description: >-
                          Description to use when posting the transaction to the
                          virtual ledger
                        type: string
                      first_name:
                        description: First name of the card holder
                        type: string
                      last_name:
                        description: Last name of the card holder
                        type: string
                      token:
                        description: Token representing the card
                        type: string
                    type: object
                  id:
                    description: Unique identifier for object
                    type: string
                  name_on_account:
                    description: Name of the owner of the account providing the deposit
                    type: string
                  userdata:
                    description: Arbitrary data the user can attach to the object
                    type: object
          description: The apply.deposit created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````